===== Common update / installation issues =====
==== XBian RC 2 not booting ====
If your fresh install of Xbian 1.0 RC 2 won't boot (only blinking cursor + red light on the pi), follow these steps. Put sdcard back in your PC and edit cmdline.txt:
Replace
root=LABEL=xbian-copy
with
root=/dev/mmcblk0p2
==== Python upgrade ====
When upgrading, you can encounter this issue:
The following packages will be upgraded:
libpython2.7 python2.7 python2.7-minimal
3 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
Need to get 0 B/5,438 kB of archives.
After this operation, 1,024 B of additional disk space will be used.
Do you want to continue [Y/n]? Y
Create a snapshot of '/tmp/btrfs-snap/root/@' in '/tmp/btrfs-snap/root/@btrfs-auto-snap_apt-run-2014-04-13-0953'
Delete subvolume '/tmp/btrfs-snap/root/@btrfs-auto-snap_apt-run-2014-04-13-0947'
@btrfs-auto-snap_apt-run-2014-04-13-0953, 1 created snapshots, 1 destroyed snapshots, 0 warnings.
(Reading database ... 32416 files and directories currently installed.)
Preparing to replace python2.7-minimal 2.7.3-6 (using .../python2.7-minimal_2.7.3-6+deb7u2_armhf.deb) ...
Unpacking replacement python2.7-minimal ...
dpkg: error processing /var/cache/apt/archives/python2.7-minimal_2.7.3-6+deb7u2_armhf.deb (--unpack):
trying to overwrite '/usr/lib/python2.7/lib-dynload/_hashlib.so', which is also in package python2.7 2.7.3-6
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Errors were encountered while processing:
/var/cache/apt/archives/python2.7-minimal_2.7.3-6+deb7u2_armhf.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
Notice, that this is an issue with the official Raspbian Repository. However, the following fix takes care of it:
sudo sed -i '/_hashlib.so/d' /var/lib/dpkg/info/python2.7.list
sudo sed -i '/_ssl.so/d' /var/lib/dpkg/info/python2.7.list
Now continue your upgrade as did before.
==== AutoFS issues Beta 2 ====
If you are getting autofs errors trying to upgrade from Beta2 to RC1 just reboot and start the update process again.
==== dpkg errors on 256mb pi ====
This can happen when running any 'apt-get upgrade' and dpkg gets killed because OOM
E: Sub-process /usr/bin/dpkg exited unexpectedly
* remove /etc/sysctl.d/xbian.conf
* reboot
* try again
* if still not, try creating /etc/sysctl.d/xbian.conf with only one setting vm.min_free_kbytes = 16384
* if 16384 still crashes dpkg, try 32768 or even 65536. (you have to reload setting from this file by "sudo sysctl -p /etc/sysctl.d/xbian.conf"
==== plymouth upgrade error ====
The problem looks like this when upgrading the XBian installation on a CuBox-I or Raspberry Pi device:
Setting up plymouth (0.8.8-16) ...
update-initramfs: deferring update (trigger activated)
update-rc.d: error: expected NN after start
usage: update-rc.d [-n] [-f] remove
update-rc.d [-n] defaults [NN | SS KK]
update-rc.d [-n] start|stop NN runlvl [runlvl] [...] .
update-rc.d [-n] disable|enable [S|2|3|4|5]
The solution is to apply this patch (manually):
--- /var/lib/dpkg/info/plymouth.postinst.old 2014-07-01 21:38:49.947752101 +0200
+++ /var/lib/dpkg/info/plymouth.postinst 2014-07-01 21:39:11.359011460 +0200
@@ -51,14 +51,14 @@
fi
# End automatically added section
# Automatically added by dh_installinit
-if [ -x "/etc/init.d/plymouth" ]; then
- update-rc.d plymouth start . 2 3 4 5 . stop . 0 6 . >/dev/null || exit $?
-fi
+if [ -x "/etc/init.d/plymouth" ]; then
+ update-rc.d plymouth start 41 2 3 4 5 . stop 41 0 6 . >/dev/null || exit $?
+fi
# End automatically added section
# Automatically added by dh_installinit
-if [ -x "/etc/init.d/plymouth-log" ]; then
- update-rc.d plymouth-log start . S . >/dev/null || exit $?
-fi
+if [ -x "/etc/init.d/plymouth-log" ]; then
+ update-rc.d plymouth-log start 40 S . >/dev/null || exit $?
+fi
# End automatically added section
# Automatically added by dh_makeshlibs
if [ "$1" = "configure" ]; then